
Figure - Bug #117074
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111051 (New): AF-V2.0-Launcher/SystemUI-通知中心

【AF】【EVT3】【通知中心】通知中心的消息左滑出现删除键，随后按着消息向右滑动手不松并向左滑，会
出现显示异常
2023-03-21 17:56 - CD Test赵飞

Status: CLOSED Start date: 2023-03-21

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0084.C101(X101)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Reproducibility: Every time Fixed Version: 2023-04-18

Test Type: ST Root cause: Notification 菜单滑动实现问题。

Description

【前提条件】

1、设备正常启动

2、通知中心中存在应用通知（长内容）

【测试步骤】

1.打开通知中心

2.长按通知向左滑

3.向右滑动手不松并向左滑

【预期结果】

3、松手后通知消息显示正常

【实际结果】

3、松手后通知消息内容与右侧的删除按钮显示重叠

【复现率】

3/3

History

#1 - 2023-03-21 19:47 - CD FW 曹覃刚

■ 我的分析

能够复现该问题，通知菜单的显示与滑动的状态有关

■ 下一步解析计划

解析滑动与菜单显示的关系，并修复此问题

#2 - 2023-04-06 20:16 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析
该处的滑动状态，通知菜单的折叠逻辑复杂

目前没有较好的修复方式，需要进一步调查研究修复方案

#3 - 2023-04-12 13:58 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

Hi 王宏

如沟通,请帮忙处理部分SystemUI的问题，谢谢

#4 - 2023-04-15 18:25 - CD FW 曹覃刚

- Assignee changed from CD APP-王宏 to CD FW-廖涛

#5 - 2023-04-18 18:13 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-18

- Root cause set to Notification 菜单滑动实现问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

Notification 菜单滑动实现问题。

■ Next action

测试验证。

#6 - 2023-04-18 18:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194508 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Notification: Fix notification menu row ui problem.TC-RID: 1201-0201902IssueID: TS-R-BUG-117074Change-Id:

I87fc20e60eb48a3162b84dcb86622ec84394bbed

#7 - 2023-04-21 16:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

4.21
验证通过

#8 - 2023-04-21 16:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

screen-20221111-002826.mp4 6.31 MB 2023-03-21 CD Test赵飞
